1

I was trying to ingest Sentinel-1 data to my docker container which i downloaded from github(cube-in-a-box). I launching container in aws ec2 machine. Before ingest data of Sentinel-1 I've already ingested Sentinel-2 data and it's worked but when i trying ingest Sentinel-1 data it's give me error.

I ran command sudo docker-compose exec jupyter datacube product add https://raw.githubusercontent.com/ceos-seo/agdc-v2/master/ingest/dataset_types/sentinel_1/s1a_gamma0_scene.yaml and after get message Adding "s1_gamma0_scene" (this might take a while) DONE

but when I trying to add data using command sudo docker-compose exec jupyter bash -c "stac-to-dc --bbox='21, 43, 40, 52' --collections='s1a_gamma0_scene.yaml' --datetime='2021-06-01/2021-06-30'"

I get:

 File "/usr/local/lib/python3.8/dist-packages/pystac_client/stac_api_io.py", line 136, in request
   raise APIError(resp.text)
pystac_client.exceptions.APIError: index_not_found_exception

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
 File "/usr/local/bin/stac-to-dc", line 8, in <module>
   sys.exit(cli())
 File "/usr/local/lib/python3.8/dist-packages/click/core.py", line 829, in __call__
   return self.main(*args, **kwargs)
 File "/usr/local/lib/python3.8/dist-packages/click/core.py", line 782, in main
   rv = self.invoke(ctx)
 File "/usr/local/lib/python3.8/dist-packages/click/core.py", line 1066, in invoke
   return ctx.invoke(self.callback, **ctx.params)
 File "/usr/local/lib/python3.8/dist-packages/click/core.py", line 610, in invoke
   return callback(*args, **kwargs)
 File "/usr/local/lib/python3.8/dist-packages/odc/apps/dc_tools/stac_api_to_dc.py", line 246, in cli
   added, failed = stac_api_to_odc(
 File "/usr/local/lib/python3.8/dist-packages/odc/apps/dc_tools/stac_api_to_dc.py", line 129, in stac_api_to_odc
   n_items = search.matched()
 File "/usr/local/lib/python3.8/dist-packages/pystac_client/item_search.py", line 407, in matched
   resp = self._stac_io.read_json(self.url, method=self.method, parameters=params)
 File "/usr/local/lib/python3.8/dist-packages/pystac/stac_io.py", line 197, in read_json
   txt = self.read_text(source, *args, **kwargs)
 File "/usr/local/lib/python3.8/dist-packages/pystac_client/stac_api_io.py", line 77, in read_text
   return self.request(href, *args, parameters=parameters, **kwargs)
 File "/usr/local/lib/python3.8/dist-packages/pystac_client/stac_api_io.py", line 139, in request
   raise APIError(str(err))
pystac_client.exceptions.APIError: index_not_found_exception

Can someone help me with this error ?

3
  • Where are you getting your Sentinel-1 data from? Note that if you want to do this over Africa, you can use our data, which has a product definition here: github.com/digitalearthafrica/config/blob/master/products/… Also, you're misusing the stac-to-dc command. It needs a STAC API and the collection needs to be on that API.
    – Alex Leith
    May 17 at 22:49
  • @AlexLeith, I'd like use another roi not Africa
    – kGummyBear
    May 18 at 11:09
  • You need to identify a data source then.
    – Alex Leith
    May 19 at 22:15

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.